httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "John P. Dodge" <do...@cruciate.ca.boeing.com>
Subject Re: [users@httpd] Compile error
Date Mon, 31 Mar 2003 13:41:06 GMT
Use /usr/xpg4/bin/grep on Solaris.



On Wed, 26 Mar 2003 jburry@OAOT.com wrote:

>
> Good day! I have having a problem compiling Apache-2.0.44 on Solaris 2.6.
> Namely, during the make process, I get
>
> /bin/ksh /oracle/Apache/Apache-2.0.44/httpd-2.0.44/srclib/apr/libtool
> --silent -
> -mode=link cc  -g -mt    -DSOLARIS2=6 -D_POSIX_PTHREAD_SEMANTICS
> -D_REENTRANT
>  -I/oracle/Apache/Apache-2.0.44/httpd-2.0.44/srclib/apr/include
> -I/oracle/Apache
> /Apache/httpd-2.0.44/srclib/apr/include
> -I/oracle/Apache/Apache-2.0.44/httpd-2.0
> .44/srclib/apr-util/include
> -I/oracle/Apache/Apache/httpd-2.0.44/srclib/apr-util
> /include
> -I/oracle/Apache/Apache-2.0.44/httpd-2.0.44/srclib/apr-util/xml/expat/l
> ib -I. -I/oracle/Apache/Apache/httpd-2.0.44/os/unix
> -I/oracle/Apache/Apache/http
> d-2.0.44/server/mpm/prefork
> -I/oracle/Apache/Apache/httpd-2.0.44/modules/http -I
> /oracle/Apache/Apache/httpd-2.0.44/modules/filters
> -I/oracle/Apache/Apache/httpd
> -2.0.44/modules/proxy -I/oracle/Apache/Apache/httpd-2.0.44/include
> -I/oracle/Apa
> che/Apache/httpd-2.0.44/modules/dav/main -export-dynamic
> -L/oracle/Apache/Apache
> -2.0.44/httpd-2.0.44/srclib/apr-util/xml/expat/lib   -o mod_access.la
> -rpath
> /oracle/Apache/Apache-2.0.44/modules -module -avoid-version  mod_access.lo
> grep: illegal option -- e
> Usage: grep -hblcnsviw pattern file . . .
> grep: illegal option -- e
> Usage: grep -hblcnsviw pattern file . . .
> grep: illegal option -- e
> grep: illegal option -- L
> grep: illegal option -- /
> grep: illegal option -- o
> grep: illegal option -- r
> grep: illegal option -- a
> grep: illegal option -- e
> grep: illegal option -- /
> grep: illegal option -- A
> grep: illegal option -- p
> grep: illegal option -- a
> grep: illegal option -- e
> grep: illegal option -- /
> grep: illegal option -- A
> grep: illegal option -- p
> grep: illegal option -- a
> grep: illegal option -- e
> grep: illegal option -- -
> grep: illegal option -- 2
> grep: illegal option -- .
> grep: illegal option -- 0
> grep: illegal option -- .
> grep: illegal option -- 4
> grep: illegal option -- 4
> grep: illegal option -- /
> grep: illegal option -- t
> grep: illegal option -- t
> grep: illegal option -- p
> grep: illegal option -- d
>
> .
> .
> .
>
> (I tried downloading the source for gnu-grep, but it also gives me problems
> with it's compilation). Despite this, the compile finishes for Apache. When
> I try to start it, I get another error :
>
> Syntax error on line 197 of /oracle/Apache/Apache-2.0.44/conf/httpd.conf:
> Can't locate API module structure `includes_module' in file
> /oracle/Apache/Apach
> e/modules/mod_include.so: ld.so.1: /oracle/Apache/Apache-2.0.44/bin/httpd:
> fatal
> : includes_module: can't find symbol
>
> Any ideas ? I've been working on this for a while now, and no luck.
>
> James
>
>
>
> ---------------------------------------------------------------------
> The official User-To-User support forum of the Apache HTTP Server Project.
> See <URL:http://httpd.apache.org/userslist.html> for more info.
> To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
>    "   from the digest: users-digest-unsubscribe@httpd.apache.org
> For additional commands, e-mail: users-help@httpd.apache.org
>

----------------------------------------
"Mon aƩroglisseur est plein d'anguilles"
John P. Dodge
Boeing Shared Services


---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message